Articles of dpkg

Instalando RANCID en UBUNTU

Por favor, perdona mi ignorancia, ya que no soy un experto de UBUNTU. Soy ingeniero de Cisco. Estoy intentando instalar RANCID emitiendo un sudo apt-get install rancid. Estoy recibiendo un No se puede localizar el paquete RANCID. Así que pensé en descargar el archivo tar localmente, extraerlo e instalarlo de esa manera. Pude extraer con […]

Eliminando una versión particular de libfontconfig1

Me equivoqué dpkg-ed libfontconfig1 en Ubuntu 16.04 ejecutando el siguiente comando: sudo dpkg -i ~/Downloads/libfontconfig1_2.12.3-0.2_amd64.deb Y ahora entra en conflicto con libfontconfig1 previamente instalado. Siguiendo la lista: $sudo dpkg –list libfontconfig1 Desired=Unknown/Install/Remove/Purge/Hold | Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend |/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad) ||/ Name Version Architecture Description +++-====================-==================-============-============================================ rU libfontconfig1:amd64 2.12.3-0.2 amd64 generic font configuration library – runtime iF […]

¿Cómo hacer una actualización de emergencia al kernel 4.14.13?

Espero que el kernel 4.15 salga pronto. Mi PC se vio bloqueada por las actualizaciones de Intel relacionadas con el Kernel. ¿Cómo actualizo a la última versión 4.14.13 del kernel de la línea principal (estable) de Ubuntu ? ESTO NO FUNCIONA: wget http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.14.13/linux-headers-4.14.13-041413_4.14.13-041413.201801101001_all.deb wget http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.14.13/linux-headers-4.14.13-041413-generic_4.14.13-041413.201801101001_amd64.deb wget http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.14.13/linux-image-4.14.13-041413-generic_4.14.13-041413.201801101001_amd64.deb Paso 2: Después de descargar correctamente instalarlo sudo […]

Paquete de pesadilla medio instalado

En algún momento, uno de mis servidores dejó de escribir en su dispositivo de almacenamiento conectado a la red (supongo), y resultó en que una semana o más de paquetes terminaran en el estado “medio instalado”. Lo que es extraño es que apt-get no informa ningún problema y pude obtener las actualizaciones más recientes para […]

Cuando bash instalar o eliminar cualquier software, aparece un error sobre el instalador oracle-java9

download failed Oracle JDK 9 is NOT installed. dpkg: error processing package oracle-java9-installer (–configure): subprocess installed post-installation script returned error exit status 1 Errors were encountered while processing: oracle-java9-installer E: Sub-process /usr/bin/dpkg returned an error code (1)

dpkg: paquete de procesamiento de errores correo-stack-entrega

Al instalar esta mail-stack-delivery quise purgar los archivos de configuración y volver a empezar, pero parece que lo he destrozado: thufir@mordor:~$ thufir@mordor:~$ sudo dpkg –configure -a Setting up mail-stack-delivery (1:2.2.18-2ubuntu2) … grep: /etc/dovecot/conf.d/10-ssl.conf: No such file or directory grep: /etc/dovecot/conf.d/10-ssl.conf: No such file or directory ln: failed to create symbolic link ‘/etc/dovecot/private/dovecot.pem’: No such file […]

apt-get install no funciona debido a dpkg, cómo resolver

No puedo instalar nada usando apt-get install Da este error: E: no se pudo obtener lock / var / lib / dpkg / lock – open (11: Recurso no disponible temporalmente) E: no se puede bloquear el directorio de administración (var / lib / dpkg), es otro proceso que lo usa Lo intenté dpkg –configure […]

Error de dpkg (1) al actualizar Ubuntu 18.04

Esta es la salida de apt-get upgrade : Reading package lists… Done Building dependency tree Reading state information… Done Calculating upgrade… Done The following packages have been kept back: linux-generic linux-headers-generic linux-image-generic 0 upgraded, 0 newly installed, 0 to remove and 3 not upgraded. 6 not fully installed or removed. After this operation, 0 B […]

Código de error dpkg (100)

Cada vez que bash instalar algo usando apt-get , muestra: Could not exec dpkg Returned with error code (100) Mismo resultado cuando ejecuto apt-get upgrade Cuando escribo dpkg –configure -a Me dice que dpkg no está instalado y cuando ejecuto: apt-get install dpkg Dice que es la versión más reciente, pero cuando ejecuto: apt-get install […]

No se puede usar apt: libstdc ++. So.6: versión `GLIBCXX_3.4.20 ‘no encontrada

Cuando uso apt tengo problemas: $ sudo apt-get update apt-get: /usr/lib/x86_64-linux-gnu/libstdc++.so.6: version `GLIBCXX_3.4.20′ not found (required by apt-get) apt-get: /usr/lib/x86_64-linux-gnu/libstdc++.so.6: version `GLIBCXX_3.4.20′ not found (required by /usr/lib/x86_64-linux-gnu/libapt-private.so.0.0) Sin embargo, instalando nuevas salidas de apt: dpkg: regarding …/apt_1.2.10ubuntu1_amd64.deb containing apt: apt breaks apt-utils (<< 1.1.3) apt-utils (version 1.0.1ubuntu2) is present and installed. dpkg: error processing archive […]